| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EncryptionLicenseInfo Struct Reference
General Utility Interfaces

Encryption License Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
int * | Available
| The number of available encryption licenses. More...
int * | InUse
| The number of encryption licenses currently in use. More...
int * | Maximum24hUsage
| The maximum value of the InUse attribute that has been reported during the last 24 hours. More...
int * | CustomerViolations
| The maximum number of times the encryption license usage may exceed the number of available encryption licenses. More...
int * | CustomerViolationLimit
| The maximum number of times the encryption license usage has exceeded the number of available encryption licenses. More...
bool * | Enabled
| A Boolean flag indicating whether encryption licensing is installed in the system. More...
int * | RemainingDays
| The number of remaining days until the license expires. More...

## Detailed Description

Encryption License Information.

It controls the number of subscribers that support encryption license.

## Member Data Documentation

## ◆ Available

int* unsp__EncryptionLicenseInfo::Available

The number of available encryption licenses.

## ◆ CustomerViolationLimit

int* unsp__EncryptionLicenseInfo::CustomerViolationLimit

The maximum number of times the encryption license usage has exceeded the number of available encryption licenses.

## ◆ CustomerViolations

int* unsp__EncryptionLicenseInfo::CustomerViolations

The maximum number of times the encryption license usage may exceed the number of available encryption licenses.

## ◆ Enabled

bool* unsp__EncryptionLicenseInfo::Enabled

A Boolean flag indicating whether encryption licensing is installed in the system.

## ◆ InUse

int* unsp__EncryptionLicenseInfo::InUse

The number of encryption licenses currently in use.

## ◆ Maximum24hUsage

int* unsp__EncryptionLicenseInfo::Maximum24hUsage

The maximum value of the InUse attribute that has been reported during the last 24 hours.

## ◆ RemainingDays

int* unsp__EncryptionLicenseInfo::RemainingDays

The number of remaining days until the license expires.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h